from sklearn import datasets
import matplotlib.pyplot as plt


###################
###  EXERCICE 1 ###
###################
# Chargement de la base de données MNIST
mnist = datasets.fetch_openml('mnist_784')

# Affichage de quelques commandes
affichage = True
if affichage:
    print(mnist)
    print (mnist.data)
    print (mnist.target)
    print (len(mnist.data))
    help(len)
    print (mnist.data.shape)
    print (mnist.target.shape)
    print (mnist.data[0])
    print (mnist.data[0][1])
    print (mnist.data[:,1])
    print (len(mnist.data[:100]))

# Extraction et affichage de la première image de la base de données
images = mnist.data.reshape((-1, 28, 28))
for i in range(5):
    plt.imshow(images[i],cmap=plt.gray(),interpolation="nearest")
    plt.show()

# Affichage de la classe de la première image de la base de données
targets = mnist.target
print("Classe de la première image: %s"%(targets[0]))
